MetaDataTestCase (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class MetaDataTestCase

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.MetaDataTestCase

- Direct Known Subclasses:
    DatabaseMetaDataJDBC3Test, DatabaseMetaDataTest, DatabaseMetaDataTypeInfoTest

      public abstract class MetaDataTestCase
      extends DatabaseTestCase

  Base class for meta data test cases.
  Version:
    $Id: MetaDataTestCase.java,v 1.1 2005-01-05 12:24:14 alin_sinpalean Exp $
  Author:
    David Eaves

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaDataTestCase(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkColumnNames(java.sql.ResultSet rs, java.lang.String[] names)` Utility method to check column names and number.

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaDataTestCase

          public MetaDataTestCase(java.lang.String name)

  - ### Method Detail

    - #### checkColumnNames

          protected boolean checkColumnNames(java.sql.ResultSet rs,
                                 java.lang.String[] names)
                                      throws java.sql.SQLException

      Utility method to check column names and number.
      Parameters:
        `rs` - the result set to check
        `names` - the list of column names to compare to result set
      Returns:
        the `boolean` value true if the columns match
      Throws:
        `java.sql.SQLException`

Generated on June 8 2013